#!/bin/bash
cd `dirname $0`

# NOT MIGRATED TO tdaq-09-04-00: pylint from LCG 101 does not work:
# https://cern.service-now.com/service-portal?id=ticket&table=incident&n=INC2920656
if ! [ -v TDAQ_LCG_RELEASE ]; then
    source /cvmfs/atlas.cern.ch/repo/sw/tdaq/tools/cmake_tdaq/bin/cm_setup.sh tdaq-09-03-00
fi

# The version of pylint available from LCG *views* does not work:
# https://sft.its.cern.ch/jira/browse/SPI-1052
#/cvmfs/sft.cern.ch/lcg/views/$TDAQ_LCG_RELEASE/$CMTCONFIG/bin/pylint $(find . -name '*.py' -a -not -name config.py)
# Don't ask me why but re-importing LCG view env does the job
source /cvmfs/sft.cern.ch/lcg/views/$TDAQ_LCG_RELEASE/$CMTCONFIG/setup.sh
pylint $(find . -name '*.py' -a -not -name config.py)
